{
    "version": 1,
    "projects": {
        "flightsapp": {
            "projectType": "application",
            "root": "",
            "sourceRoot": "src",
            "schematics": {
                "@schematics/angular:component": {
                    "style": "scss"
                }
            },
            "architect": {
                "build": {
                  "builder": "@angular-builders/custom-webpack:browser",
                  "options": {
                    "customWebpackConfig": {
                      "path": "./custom-webpack.config.js"
                    },
                    "outputPath": "dist",
                    "index": "src/index.html",
                    "main": "src/main.ts",
                    "polyfills": "src/polyfills.ts",
                    "tsConfig": "tsconfig.json",
                    "aot": true,
                    "assets": [ 
                        "src/favicon.ico", 
                        "src/assets", 
                        "src/googledeb8cf566236306b.html", 
                        "src/yandex_02230d34b29eaf63.html", 
                        "src/yandex_1947cc7ca150f934.html"
                    ],
                    "styles": [
                      "src/styles.scss",
                      "src/fonts.scss",
                      "node_modules/primeng/resources/primeng.min.css",
                      "node_modules/primeicons/primeicons.css",
                      "node_modules/leaflet/dist/leaflet.css"
                    ],
                    "scripts": [
                    ]
                  },
                  "configurations": {
                    "production": {
                      "optimization": true,
                      "outputHashing": "all",
                      "sourceMap": false,
                      "namedChunks": false,
                      "vendorChunk": false,
                      "buildOptimizer": true,
                      "fileReplacements": [
                        {
                          "replace": "src/environments/environment.ts",
                          "with": "src/environments/environment.prod.ts"
                        }
                      ]
                    },
                    "testing": {
                      "optimization": true,
                      "outputHashing": "all",
                      "sourceMap": false,
                      "namedChunks": false,
                      "vendorChunk": false,
                      "buildOptimizer": true,
                      "fileReplacements": [
                        {
                          "replace": "src/environments/environment.ts",
                          "with": "src/environments/environment.testing.ts"
                        }
                      ]
                  },
                    "development": {
                      "buildOptimizer": false,
                      "optimization": false,
                      "vendorChunk": true,
                      "extractLicenses": false,
                      "sourceMap": true,
                      "namedChunks": true,
                      "serviceWorker": false,
                      "index": { 
                        "input": "src/index.dev.html",
                        "output": "index.html"
                      },
                      "fileReplacements": [
                        {
                          "replace": "src/environments/environment.ts",
                          "with": "src/environments/environment.development.ts"
                        }
                      ]
                    }
                  }
                },
                "serve": {
                    "builder": "@angular-builders/custom-webpack:dev-server",
                    "options": {
                        "proxyConfig": "src/proxy.conf.json"
                    },
                    "configurations": {
                        "production": {
                            "browserTarget": "flightsapp:build:production"
                        },
                        "testing": {
                            "browserTarget": "flightsapp:build:testing"
                        },
                        "development": {
                            "browserTarget": "flightsapp:build:development"
                        }
                    },
                    "defaultConfiguration": "development"
                },
                "test": {
                    "builder": "@angular-devkit/build-angular:karma",
                    "options": {
                        "main": "src/test.ts",
                        "polyfills": "src/polyfills.ts",
                        "tsConfig": "tsconfig.spec.json",
                        "karmaConfig": "karma.conf.js",
                        "inlineStyleLanguage": "scss",
                        "assets": ["src/favicon.ico", "src/assets"],
                        "styles": ["src/styles.scss"],
                        "scripts": []
                    }
                },
                "storybook": {
                    "builder": "@storybook/angular:start-storybook",
                    "options": {
                        "browserTarget": "angular-cli:build",
                        "port": 6006
                    }
                },
                "build-storybook": {
                    "builder": "@storybook/angular:build-storybook",
                    "options": {
                        "browserTarget": "angular-cli:build"
                    }
                }
            }
        }
    },
    "defaultProject": "flightsapp",
    "cli": {
        "analytics": false
    }
}
